当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我这样解决locale问题的
帖子发表于 : 2007-01-24 14:11 

注册: 2006-04-29 14:54
帖子: 1187
地址: 山东
送出感谢: 0 次
接收感谢: 0 次
我的机器在重新安装Gnome桌面后,也出现了默认语言是英文,应用程序等菜单也是显示成英文了,启动过程中提示:
代码:
perl: warning: Falling back to the standard locale ("C"). locale: Cannot set LC_CTYPE to default locale: No such file or directory locale: Cannot set LC_ALL to default locale: No such file or directory

我尝试过“系统”──“系统管理”──“语言支持”,设置成中文,也不行,执行locale时显示:
代码:
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=zh_CN.UTF-8
LANGUAGE=zh_CN.UTF-8
LC_CTYPE="zh_CN.UTF-8"
LC_NUMERIC="zh_CN.UTF-8"
LC_TIME="zh_CN.UTF-8"
LC_COLLATE="zh_CN.UTF-8"
LC_MONETARY="zh_CN.UTF-8"
LC_MESSAGES="zh_CN.UTF-8"
LC_PAPER="zh_CN.UTF-8"
LC_NAME="zh_CN.UTF-8"
LC_ADDRESS="zh_CN.UTF-8"
LC_TELEPHONE="zh_CN.UTF-8"
LC_MEASUREMENT="zh_CN.UTF-8"
LC_IDENTIFICATION="zh_CN.UTF-8"
LC_ALL=



用localedef生成locale文件也不行,后来搜索到locale-gen,用那个命令也没有效果,试图用sudo apt-get remove locales先删除再重装时,提示包损坏,执行sudo dpkg-reconfigure locales也是这样。看了ee的帖子后才想起到packages.ubuntu.org上去下载libc6安装包。先是下载的dapper版的 libc6_2.3.6-0ubuntu20_i386.deb,下载安装后,locale显示正常了,不提示 locale: Cannot set LC_ALL to default locale: No such file or directory错误了,但没想到运行gedit时提示没有glibc2.4之类的。于是再次下载libc6的Edgy的版本libc6_2.4-1ubuntu12_i386.deb,这次locale又出现错误了.但这里我想到了既然是libc6版本降级可以使locale正常,那在libc62.4版的情况下,把locale的版本升级一下不就可以了吗?于是再次下载locale的edgy版本 locales_2.3.22_all.deb,并根据依赖提示,下载安装了tzdata_2006m-1ubuntu1_all.deb和belocs -locales-bin_2.4-1ubuntu6_i386.deb。这进安装locale新版本后,终于locale的输出正常了。重起,变成中文了。
解决。
如果有朋友和我一样,也是包损坏,可以用这个方法试试。


_________________
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-02-26 17:17 

注册: 2006-12-06 11:52
帖子: 175
送出感谢: 0 次
接收感谢: 1
我用了你的办法,没有解决。
是一个bgg, https://launchpad.net/ubuntu/+source/glibc/+bug/49113 为[Bug #49113: locales problems with edgy libc6]的链接.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-02-26 18:19 
头像

注册: 2006-07-23 16:25
帖子: 1592
地址: 南京
送出感谢: 0 次
接收感谢: 0 次
提示包损坏的时候 加上-f 参数强删试试。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-02-27 18:39 

注册: 2006-12-06 11:52
帖子: 175
送出感谢: 0 次
接收感谢: 1
我都做了,还是不行。因为上网不方便,要不将系统升级而不是混用dapper和edgy的包就可以解决问题的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译